%define libsoup_version_required 2.2.2
%define api_version 1.0
%define lib_major 3
%define lib_name %mklibname %{name} %{lib_major}

Name:		evolution-data-server
Summary:	Evolution Data Server
Version: 1.0.4
Release: 2mdk
License: 	GPL
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.0.4-2mdk fix webcal timezone handling (CVS)
Patch0:		evolution-data-server-1.0.4-webcaltimezone.patch.bz2
# (fc) 1.0.4-2mdk fix eds not exiting (CVS) (Mdk bug #13920)
Patch1:		evolution-data-server-1.0.4-exit.patch.bz2

URL: 		http://www.novell.com/products/evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: bison flex
BuildRequires: libgnome2-devel
BuildRequires: libsoup-devel >= %{libsoup_version_required}
BuildRequires: openldap-devel 
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{lib_name}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{lib_name}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{lib_name}-devel
Summary:	Libraries and include files for using Evolution Data Server
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%prep
%setup -q
%patch0 -p1 -b .webcaltimezone
%patch1 -p1 -b .exit

%build

%configure2_5x --with-openldap=yes --with-static-ldap=no --enable-gtk-doc=yes

#parallel build is broken
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std


%{find_lang} %{name}-1.0

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(-, root, root)
%doc COPYING ChangeLog 
%{_libexecdir}/%{name}-%{api_version}
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/%{name}-%{api_version}
%{_datadir}/%{name}-%{api_version}

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}-%{api_version}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk 
- Patch0 (CVS): fix webcal timezone handling
- Patch1 (CVS): fix eds not exiting (Mdk bug #13920)

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk 
- Release 1.0.4

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.3-3mdk
- rebuild for ldap2.2_7

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk 
- Rebuild with latest howl

* Tue Dec  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- drop merged patches 0,1
- New release 1.0.2

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0 (CVS): fix file_as attribute for vcard
- Patch1 (CVS): fix duplication with remote calendars

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Remove patch0 (merged upstream)

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Patch0: Fix addressbook loading on AMD CPUs

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.99-1mdk
- Release 0.0.99

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.98-2mdk
- Rebuild with latest libsoup

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.98-1mdk
- requires new soup
- New release 0.0.98

* Tue Aug  3 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.97-1mdk
- New release 0.0.97

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.96-1mdk
- requires new soup
- New release 0.0.96

* Mon Jul  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.95-1mdk
- New release 0.0.95

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.94.1-1mdk
- New release 0.0.94.1

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.94-1mdk
- requires new soup
- New release 0.0.94

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.93-1mdk
- fix URL
- reenable libtoolize
- New release 0.0.93

* Thu Apr 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.92-2mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.92-1mdk
- Initial Mandrakelinux package
